GNU bug report logs - #50198
27.2; 27.2; Crash in xwidget-webkit

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Cyber Knight <cyberknight755@HIDDEN>; Keywords: moreinfo; dated Wed, 25 Aug 2021 14:06:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50198 <at> debbugs.gnu.org:


Received: (at 50198) by debbugs.gnu.org; 26 Aug 2021 16:36:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 26 12:36:31 2021
Received: from localhost ([127.0.0.1]:50252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJIMh-0005q0-NF
	for submit <at> debbugs.gnu.org; Thu, 26 Aug 2021 12:36:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mJIMg-0005po-3l
 for 50198 <at> debbugs.gnu.org; Thu, 26 Aug 2021 12:36:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42750)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mJIMa-0006hq-Sr; Thu, 26 Aug 2021 12:36:24 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1666
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mJIMZ-0008Gd-EA; Thu, 26 Aug 2021 12:36:24 -0400
Date: Thu, 26 Aug 2021 19:36:04 +0300
Message-Id: <83tujcrwnf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Cyber Knight <cyberknight755@HIDDEN>
In-Reply-To: <CAA7noR=1qENXyrd5QKLiQauuBqqCAg7kh5vXKPk06ivP_D6Ebg@HIDDEN>
 (message from Cyber Knight on Fri, 27 Aug 2021 00:27:44 +0800)
Subject: Re: bug#50198: 27.2; 27.2; Crash in xwidget-webkit
References: <CAA7noR=+onMLtHg+Vpd8GODUP0BNW1RZmv6cZ2huuwjYOeFUWg@HIDDEN>
 <871r6hipfn.fsf@HIDDEN>
 <CAA7noRk2DZ6CG2QLNirOqW-m8Logrgjc07apfCNrEO5mxjo6Wg@HIDDEN>
 <87pmu14lhf.fsf@HIDDEN> <837dg9v79p.fsf@HIDDEN> <87mtp4z349.fsf@HIDDEN>
 <CAA7noRnHLSHC_4m=yap=j=SFadq4RNOLGii+xm683Yxte8J8rQ@HIDDEN>
 <83zgt4rybg.fsf@HIDDEN>
 <CAA7noR=1qENXyrd5QKLiQauuBqqCAg7kh5vXKPk06ivP_D6Ebg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50198
Cc: 50198 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Cyber Knight <cyberknight755@HIDDEN>
> Date: Fri, 27 Aug 2021 00:27:44 +0800
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 50198 <at> debbugs.gnu.org
> 
> Actually this bug occurred when I recompiled emacs from source with --with-xwidgets support. 

If you built your own Emacs, then please rebuild it, this time with
the -g3 compiler switch and without the -s switch, so that the debug
symbols would not be stripped from the binary.

Or maybe you have an unstripped binary somewhere, like in the src
directory of where you built Emacs?  In that case, please try the
addr2line command using that binary.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50198; Package emacs. Full text available.

Message received at 50198 <at> debbugs.gnu.org:


Received: (at 50198) by debbugs.gnu.org; 26 Aug 2021 16:28:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 26 12:28:03 2021
Received: from localhost ([127.0.0.1]:50235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJIEV-0005aG-1w
	for submit <at> debbugs.gnu.org; Thu, 26 Aug 2021 12:28:03 -0400
Received: from mail-io1-f65.google.com ([209.85.166.65]:45825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cyberknight755@HIDDEN>) id 1mJIES-0005Zk-ON
 for 50198 <at> debbugs.gnu.org; Thu, 26 Aug 2021 12:28:01 -0400
Received: by mail-io1-f65.google.com with SMTP id e186so4462569iof.12
 for <50198 <at> debbugs.gnu.org>; Thu, 26 Aug 2021 09:28:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=65lDbtiWV+LS5rv7jivFldCvOgXXwipCYPR+J8O8xe8=;
 b=Z/rt2FawFlN0+8vP9QrdUqPV+i2GP7aOXe2w+G3BZXb0F7kOhSe8NY14ybYVio9aUK
 w4ym0rA8aXbtE16ovrQO9aI0lHvegZydBEZQsvD3I9zSCyz65aGE1Wre5IZ7VNoLe/bY
 Ak8niNsnhzaU4/CkIw7oXWA2pN58ODA1fSSYyYo115KS/eYa3zp/ML+TF4IuFzgv3lRJ
 zuOuKiCOqZBI5n+nrdZVnENXLTFISAV6eSWHx9ErvdJMEy5UuxRxLUt0iwakCRC3q4mB
 0Hb+OBmMtmrSO0aTJonnVHWheA2Ffyf4xAQqXYI+VlGojJBv7aiqVb8hd1rRYSwhKRqJ
 bTbg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=65lDbtiWV+LS5rv7jivFldCvOgXXwipCYPR+J8O8xe8=;
 b=iEcTmHPqf3Zkg1WzJ5xtKU6xmXOp7A0G0tcZrSQdDlvR2IP19CQk5zqRuUJmYPWWvb
 FVxiqGaHWZiPL7r0sZaFyPScW36R9EBslavGWcAn1gpZYTr8DLD8Ol5HiFZV6k6AWOhK
 kjUxwD5L5IhrLL2gioDIQT9GvI7YjgSoOSKhI2DYI+5Yc02wsZS1oGOjlENZ0HhXXatv
 xhQBhC8rjBJBG5QOLOHHDUSw7BcO1bXq4auy+LTxYQQWx499u2SMpjHXds7qw6tgu/XR
 +jAb3J7Kn0sVmMqVkWSjiorxEunyMjhLckshYpS9jTIWvtr9j5x25NWzMW15YiYLZqrU
 ibtA==
X-Gm-Message-State: AOAM530RbdWS6KUPeSPpWeRJTR2ir6jDMyD5sS/2vrqRBHLeya8KrvvL
 aNo1IkNh+FNoPwpq8r/cmw3A9QvltNRWyKYEPyc=
X-Google-Smtp-Source: ABdhPJymGZx3tcrTnF+Osmol8r4saVqgNp8hKR2jNBBzed4+hGuv3dxJFM8VLWjGWZ0lzCW9j0fm0wamk6fLf0sTtwE=
X-Received: by 2002:a05:6602:3404:: with SMTP id
 n4mr3692159ioz.45.1629995274980; 
 Thu, 26 Aug 2021 09:27:54 -0700 (PDT)
MIME-Version: 1.0
References: <CAA7noR=+onMLtHg+Vpd8GODUP0BNW1RZmv6cZ2huuwjYOeFUWg@HIDDEN>
 <871r6hipfn.fsf@HIDDEN>
 <CAA7noRk2DZ6CG2QLNirOqW-m8Logrgjc07apfCNrEO5mxjo6Wg@HIDDEN>
 <87pmu14lhf.fsf@HIDDEN> <837dg9v79p.fsf@HIDDEN> <87mtp4z349.fsf@HIDDEN>
 <CAA7noRnHLSHC_4m=yap=j=SFadq4RNOLGii+xm683Yxte8J8rQ@HIDDEN>
 <83zgt4rybg.fsf@HIDDEN>
In-Reply-To: <83zgt4rybg.fsf@HIDDEN>
From: Cyber Knight <cyberknight755@HIDDEN>
Date: Fri, 27 Aug 2021 00:27:44 +0800
Message-ID: <CAA7noR=1qENXyrd5QKLiQauuBqqCAg7kh5vXKPk06ivP_D6Ebg@HIDDEN>
Subject: Re: bug#50198: 27.2; 27.2; Crash in xwidget-webkit
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000059d18a05ca78d917"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 50198
Cc: 50198 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--00000000000059d18a05ca78d917
Content-Type: text/plain; charset="UTF-8"

Actually this bug occurred when I recompiled emacs from source with
--with-xwidgets support.

On Fri, 27 Aug 2021, 00:00 Eli Zaretskii, <eliz@HIDDEN> wrote:

> > From: Cyber Knight <cyberknight755@HIDDEN>
> > Date: Thu, 26 Aug 2021 23:09:01 +0800
> > Cc: Eli Zaretskii <eliz@HIDDEN>, 50198 <at> debbugs.gnu.org
> >
> > Okay so I just tried it and I got this as the output
> >
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
> > ?? ??:0
>
> This means your Emacs executable is stripped, which unfortunately
> means we cannot use the backtrace you posted.  If you installed Emacs
> from some distro, does that distro offer a separate "Emacs debug"
> package that you could install?  If it does, please install that and
> try again running the addr2line command after that.
>

--00000000000059d18a05ca78d917
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Actually this bug occurred when I recompiled emacs from s=
ource with --with-xwidgets support.=C2=A0</div><br><div class=3D"gmail_quot=
e"><div dir=3D"ltr" class=3D"gmail_attr">On Fri, 27 Aug 2021, 00:00 Eli Zar=
etskii, &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br>=
</div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-l=
eft:1px #ccc solid;padding-left:1ex">&gt; From: Cyber Knight &lt;<a href=3D=
"mailto:cyberknight755@HIDDEN" target=3D"_blank" rel=3D"noreferrer">cybe=
rknight755@HIDDEN</a>&gt;<br>
&gt; Date: Thu, 26 Aug 2021 23:09:01 +0800<br>
&gt; Cc: Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_blank=
" rel=3D"noreferrer">eliz@HIDDEN</a>&gt;, <a href=3D"mailto:50198@debbugs.=
gnu.org" target=3D"_blank" rel=3D"noreferrer">50198 <at> debbugs.gnu.org</a><br>
&gt; <br>
&gt; Okay so I just tried it and I got this as the output<br>
&gt; <br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
&gt; ?? ??:0<br>
<br>
This means your Emacs executable is stripped, which unfortunately<br>
means we cannot use the backtrace you posted.=C2=A0 If you installed Emacs<=
br>
from some distro, does that distro offer a separate &quot;Emacs debug&quot;=
<br>
package that you could install?=C2=A0 If it does, please install that and<b=
r>
try again running the addr2line command after that.<br>
</blockquote></div>

--00000000000059d18a05ca78d917--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50198; Package emacs. Full text available.

Message received at 50198 <at> debbugs.gnu.org:


Received: (at 50198) by debbugs.gnu.org; 26 Aug 2021 16:00:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 26 12:00:43 2021
Received: from localhost ([127.0.0.1]:50219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJHo3-0003Pk-28
	for submit <at> debbugs.gnu.org; Thu, 26 Aug 2021 12:00:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mJHo0-0003Ik-RD
 for 50198 <at> debbugs.gnu.org; Thu, 26 Aug 2021 12:00:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40770)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mJHnv-00076r-7g; Thu, 26 Aug 2021 12:00:35 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3445
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mJHnl-0001ye-6k; Thu, 26 Aug 2021 12:00:28 -0400
Date: Thu, 26 Aug 2021 19:00:03 +0300
Message-Id: <83zgt4rybg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Cyber Knight <cyberknight755@HIDDEN>
In-Reply-To: <CAA7noRnHLSHC_4m=yap=j=SFadq4RNOLGii+xm683Yxte8J8rQ@HIDDEN>
 (message from Cyber Knight on Thu, 26 Aug 2021 23:09:01 +0800)
Subject: Re: bug#50198: 27.2; 27.2; Crash in xwidget-webkit
References: <CAA7noR=+onMLtHg+Vpd8GODUP0BNW1RZmv6cZ2huuwjYOeFUWg@HIDDEN>
 <871r6hipfn.fsf@HIDDEN>
 <CAA7noRk2DZ6CG2QLNirOqW-m8Logrgjc07apfCNrEO5mxjo6Wg@HIDDEN>
 <87pmu14lhf.fsf@HIDDEN> <837dg9v79p.fsf@HIDDEN> <87mtp4z349.fsf@HIDDEN>
 <CAA7noRnHLSHC_4m=yap=j=SFadq4RNOLGii+xm683Yxte8J8rQ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50198
Cc: 50198 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Cyber Knight <cyberknight755@HIDDEN>
> Date: Thu, 26 Aug 2021 23:09:01 +0800
> Cc: Eli Zaretskii <eliz@HIDDEN>, 50198 <at> debbugs.gnu.org
> 
> Okay so I just tried it and I got this as the output
> 
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0
> ?? ??:0

This means your Emacs executable is stripped, which unfortunately
means we cannot use the backtrace you posted.  If you installed Emacs
from some distro, does that distro offer a separate "Emacs debug"
package that you could install?  If it does, please install that and
try again running the addr2line command after that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50198; Package emacs. Full text available.

Message received at 50198 <at> debbugs.gnu.org:


Received: (at 50198) by debbugs.gnu.org; 26 Aug 2021 15:30:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 26 11:30:51 2021
Received: from localhost ([127.0.0.1]:50157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJHL8-0001xL-O3
	for submit <at> debbugs.gnu.org; Thu, 26 Aug 2021 11:30:51 -0400
Received: from mail-il1-f193.google.com ([209.85.166.193]:34496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cyberknight755@HIDDEN>) id 1mJH0H-0001HS-IT
 for 50198 <at> debbugs.gnu.org; Thu, 26 Aug 2021 11:09:18 -0400
Received: by mail-il1-f193.google.com with SMTP id j15so3651336ila.1
 for <50198 <at> debbugs.gnu.org>; Thu, 26 Aug 2021 08:09:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=dQ4mh6tk46kL8hZZnhqWTfEWtoilOBBu0Auy8PYMYAo=;
 b=ijxAtvcxccgK3Jn820hNXuisnnybkPPrmeMjsCsaq03dZWROrEiXGVXPHRKpzOon18
 PRNKEqMdYcHicvgmH/XPubGPX9AkWcvYbI+NNp+4suyZ+Z5GIJQx75IsxLyBZRDnVCYp
 2EajUp1GuEvrft/vD9yenFVPr8cfnZT+qqDIIVYcfD7h+LEeG4jpagEHoT7jbkwfEyrh
 etSUiuMBFSCrIqTmWMikA0lEQeMtg2n0tPvpH6SQU3lJEeqK3ytIee96lUilormKU5mT
 XojZA1gSb/b1mjqOlysF5unB4thLWYJnFUL0XG7g2hxq77tmOLL6ITwc01juAqtJXp6G
 XQ9Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=dQ4mh6tk46kL8hZZnhqWTfEWtoilOBBu0Auy8PYMYAo=;
 b=ql+AM2h9kKDtODT38VOjAnyY9exMb7aj2g+hSH74vZejikLYv7Bn0mOJ+SitvQJlfH
 +P5pbYN816ScVS1C+Is4kp1tp/pVf6uVQmO/k6nxzL+/hoflb8SRIMsmNIfeS7tWVBKC
 Qy3rMVKreXDPKcr2kHIQ+/JrTvtKEo7aC0RUDbg8hbiJbcfi36LJdBOofmVHD2MqXpQv
 RKaHi9TeQf2+5qu5FS+IuLEkRes0aGIyXQfQAyI1Wqimud0Qd7JywM1C0opZi+EFXtDw
 KoHq7+GB7ZexGeBKdHEqfI5wwKhZEJDW79WsyNPfBVszjXP7mhgMtRNOCHNY3iGkFY+k
 wffw==
X-Gm-Message-State: AOAM533f9DnFi2PBX6ze9xCzLlNvSWR/RTYaOpwVzvxa9tAGbYYkvCWo
 8Qq19f/LWBvJp4HyX2QkjogaekofBJ6XYiFA5uU=
X-Google-Smtp-Source: ABdhPJzrXVQck2INI5plb/0fL8wxcxi8q9MWlLLhBLoMFt0720Kceqs9FGPnL5ijtCWkMllHWFLwjnHru9jYWY/TRnw=
X-Received: by 2002:a92:de46:: with SMTP id e6mr3117767ilr.273.1629990551852; 
 Thu, 26 Aug 2021 08:09:11 -0700 (PDT)
MIME-Version: 1.0
References: <CAA7noR=+onMLtHg+Vpd8GODUP0BNW1RZmv6cZ2huuwjYOeFUWg@HIDDEN>
 <871r6hipfn.fsf@HIDDEN>
 <CAA7noRk2DZ6CG2QLNirOqW-m8Logrgjc07apfCNrEO5mxjo6Wg@HIDDEN>
 <87pmu14lhf.fsf@HIDDEN> <837dg9v79p.fsf@HIDDEN> <87mtp4z349.fsf@HIDDEN>
In-Reply-To: <87mtp4z349.fsf@HIDDEN>
From: Cyber Knight <cyberknight755@HIDDEN>
Date: Thu, 26 Aug 2021 23:09:01 +0800
Message-ID: <CAA7noRnHLSHC_4m=yap=j=SFadq4RNOLGii+xm683Yxte8J8rQ@HIDDEN>
Subject: Re: bug#50198: 27.2; 27.2; Crash in xwidget-webkit
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000d49a6605ca77bfe4"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 50198
X-Mailman-Approved-At: Thu, 26 Aug 2021 11:30:49 -0400
Cc: 50198 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000d49a6605ca77bfe4
Content-Type: text/plain; charset="UTF-8"

Okay so I just tried it and I got this as the output

?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0
?? ??:0

Apologies if it gets sent as a html mail.

On Thu, 26 Aug 2021, 22:34 Lars Ingebrigtsen, <larsi@HIDDEN> wrote:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
> > The node "Crashing" in the Emacs manual explains how to convert those
> > addresses into human-readable backtraces.  But the addr2line command
> > shown there must be run on the OP's machine for the output to make any
> > sense.
>
> Thanks; I had totally forgotten about the addr2line thing.
>
> Cyber Knight, can you try the recipe in the "Crashing" node in the Emacs
> manual?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

--000000000000d49a6605ca77bfe4
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Okay so I just tried it and I got this as the output<div =
dir=3D"auto"><br></div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? =
??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><di=
v dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto=
">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</di=
v><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D=
"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:=
0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div d=
ir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?=
? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><=
div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"au=
to">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</=
div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=
=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? =
??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><di=
v dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto=
">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</di=
v><div dir=3D"auto">?? ??:0</div><div dir=3D"auto">?? ??:0</div><div dir=3D=
"auto">?? ??:0</div><div dir=3D"auto"><br></div><div dir=3D"auto">Apologies=
 if it gets sent as a html mail.=C2=A0</div></div><br><div class=3D"gmail_q=
uote"><div dir=3D"ltr" class=3D"gmail_attr">On Thu, 26 Aug 2021, 22:34 Lars=
 Ingebrigtsen, &lt;<a href=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt;=
 wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8=
ex;border-left:1px #ccc solid;padding-left:1ex">Eli Zaretskii &lt;<a href=
=3D"mailto:eliz@HIDDEN" target=3D"_blank" rel=3D"noreferrer">eliz@HIDDEN<=
/a>&gt; writes:<br>
<br>
&gt; The node &quot;Crashing&quot; in the Emacs manual explains how to conv=
ert those<br>
&gt; addresses into human-readable backtraces.=C2=A0 But the addr2line comm=
and<br>
&gt; shown there must be run on the OP&#39;s machine for the output to make=
 any<br>
&gt; sense.<br>
<br>
Thanks; I had totally forgotten about the addr2line thing.<br>
<br>
Cyber Knight, can you try the recipe in the &quot;Crashing&quot; node in th=
e Emacs<br>
manual?<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer noreferrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div>

--000000000000d49a6605ca77bfe4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50198; Package emacs. Full text available.

Message received at 50198 <at> debbugs.gnu.org:


Received: (at 50198) by debbugs.gnu.org; 26 Aug 2021 14:34:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 26 10:34:57 2021
Received: from localhost ([127.0.0.1]:50009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJGSz-0006hU-B9
	for submit <at> debbugs.gnu.org; Thu, 26 Aug 2021 10:34:57 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48100)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mJGSn-0006h5-HD
 for 50198 <at> debbugs.gnu.org; Thu, 26 Aug 2021 10:34:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=f1OftniC/dIyxZj8zu3AfYOZI/nDjYgIyoyWyYosSSM=; b=Id2E76Y+v8Aa+4kvxhTkPdqDM8
 Uf3nyrbUbOBcvdQMKPK1kyWTEJwvjkZbXUQn10d70CT2HLqRLQhweQ2Y89pJwTiet4IBaFn+LT4yB
 8etYrdcczHTSw1ZIUVtuePnodRI2b4pNqdkOMF5cxirwBUu5/zozTduEUXIB6PXOKpDU=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mJGSd-0001o3-0y; Thu, 26 Aug 2021 16:34:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50198: 27.2; 27.2; Crash in xwidget-webkit
References: <CAA7noR=+onMLtHg+Vpd8GODUP0BNW1RZmv6cZ2huuwjYOeFUWg@HIDDEN>
 <871r6hipfn.fsf@HIDDEN>
 <CAA7noRk2DZ6CG2QLNirOqW-m8Logrgjc07apfCNrEO5mxjo6Wg@HIDDEN>
 <87pmu14lhf.fsf@HIDDEN> <837dg9v79p.fsf@HIDDEN>
Date: Thu, 26 Aug 2021 16:34:30 +0200
In-Reply-To: <837dg9v79p.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 25 Aug
 2021 19:06:10 +0300")
Message-ID: <87mtp4z349.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > The node "Crashing"
 in the Emacs manual explains how to convert those > addresses into
 human-readable
 backtraces. But the addr2line command > shown there must be run on the OP's
 machine for the outp [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50198
Cc: 50198 <at> debbugs.gnu.org, cyberknight755@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> The node "Crashing" in the Emacs manual explains how to convert those
> addresses into human-readable backtraces.  But the addr2line command
> shown there must be run on the OP's machine for the output to make any
> sense.

Thanks; I had totally forgotten about the addr2line thing.

Cyber Knight, can you try the recipe in the "Crashing" node in the Emacs
manual?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50198; Package emacs. Full text available.

Message received at 50198 <at> debbugs.gnu.org:


Received: (at 50198) by debbugs.gnu.org; 25 Aug 2021 16:06:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 12:06:20 2021
Received: from localhost ([127.0.0.1]:47412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIvPw-0003rf-0j
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 12:06:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mIvPu-0003rT-HR
 for 50198 <at> debbugs.gnu.org; Wed, 25 Aug 2021 12:06:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52286)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mIvPp-00073T-CT; Wed, 25 Aug 2021 12:06:13 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2926
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mIvPo-0007cF-35; Wed, 25 Aug 2021 12:06:13 -0400
Date: Wed, 25 Aug 2021 19:06:10 +0300
Message-Id: <837dg9v79p.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87pmu14lhf.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 25 Aug 2021 17:01:16 +0200)
Subject: Re: bug#50198: 27.2; 27.2; Crash in xwidget-webkit
References: <CAA7noR=+onMLtHg+Vpd8GODUP0BNW1RZmv6cZ2huuwjYOeFUWg@HIDDEN>
 <871r6hipfn.fsf@HIDDEN>
 <CAA7noRk2DZ6CG2QLNirOqW-m8Logrgjc07apfCNrEO5mxjo6Wg@HIDDEN>
 <87pmu14lhf.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50198
Cc: 50198 <at> debbugs.gnu.org, cyberknight755@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 25 Aug 2021 17:01:16 +0200
> Cc: 50198 <at> debbugs.gnu.org
> 
> Cyber Knight <cyberknight755@HIDDEN> writes:
> 
> > The crash happened only once and I couldn't reproduce it. 
> 
> That makes it pretty unlikely that we'll be able to debug this.  The
> backtrace ended with:
> 
> Backtrace:
> ./src/emacs(+0x147c21)[0x55774b974c21]
> ./src/emacs(+0x4563c)[0x55774b87263c]
> ./src/emacs(+0x45b0c)[0x55774b872b0c]
> ./src/emacs(+0x145d0d)[0x55774b972d0d]
> ./src/emacs(+0x145d89)[0x55774b972d89]
> /usr/lib/libjavascriptcoregtk-4.0.so.18(+0x169481f)[0x7efe50e7581f]
> /usr/lib/libpthread.so.0(+0x13870)[0x7efe4f1ac870]
> /usr/lib/libgobject-2.0.so.0(+0x2ea34)[0x7efe55b77a34]
> /usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0xe79)[0x7efe55b78c49]
> /usr/lib/libgobject-2.0.so.0(g_signal_emit+0x90)[0x7efe55b791a0]
> /usr/lib/libgobject-2.0.so.0(+0x1a266)[0x7efe55b63266]
> /usr/lib/libgobject-2.0.so.0(g_object_notify_by_pspec+0x152)
> [0x7efe55b64612]
> /usr/lib/libgtk-3.so.0(gtk_window_set_icon_list+0x89)[0x7efe564a2159]
> /usr/lib/libgtk-3.so.0(gtk_window_set_icon+0x8a)[0x7efe564a22aa]
> 
> So...  perhaps the crash happened in a callback from the webkit code?
> Anybody else have an idea here?

The node "Crashing" in the Emacs manual explains how to convert those
addresses into human-readable backtraces.  But the addr2line command
shown there must be run on the OP's machine for the output to make any
sense.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50198; Package emacs. Full text available.

Message received at 50198 <at> debbugs.gnu.org:


Received: (at 50198) by debbugs.gnu.org; 25 Aug 2021 15:01:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 11:01:35 2021
Received: from localhost ([127.0.0.1]:47306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIuPD-0007cn-FV
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 11:01:35 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37852)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mIuP8-0007UD-8y
 for 50198 <at> debbugs.gnu.org; Wed, 25 Aug 2021 11:01:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=P5K6tqRs44JJQiPfv867blozrCdGRu9s6Um06Ly8PTY=; b=qQJEpuRzh/+NsQEYtC99PBmF6+
 vo/NBu0y3uTZ97p+jb2+5BctJossZOWbivo3OE36KtDsf5w7nyw7SfBA4F5ORIbfJ0ZiruYNQnx70
 aoBP06Qs3Pzr7RfdCX/gwj74yi2RLHtB2KRvr3vcUl3LLp5FiBaOz2RpgVpukU1FdPek=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mIuOz-0005hM-Eu; Wed, 25 Aug 2021 17:01:19 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Cyber Knight <cyberknight755@HIDDEN>
Subject: Re: bug#50198: 27.2; 27.2; Crash in xwidget-webkit
References: <CAA7noR=+onMLtHg+Vpd8GODUP0BNW1RZmv6cZ2huuwjYOeFUWg@HIDDEN>
 <871r6hipfn.fsf@HIDDEN>
 <CAA7noRk2DZ6CG2QLNirOqW-m8Logrgjc07apfCNrEO5mxjo6Wg@HIDDEN>
Date: Wed, 25 Aug 2021 17:01:16 +0200
In-Reply-To: <CAA7noRk2DZ6CG2QLNirOqW-m8Logrgjc07apfCNrEO5mxjo6Wg@HIDDEN>
 (Cyber Knight's message of "Wed, 25 Aug 2021 22:46:10 +0800")
Message-ID: <87pmu14lhf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: (Please keep the debbugs address in the CCs -- otherwise it
 won't reach the bug tracker.) Cyber Knight <cyberknight755@HIDDEN> writes:
 > The crash happened only once and I couldn't reproduce it. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50198
Cc: 50198 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

(Please keep the debbugs address in the CCs -- otherwise it won't reach
the bug tracker.)

Cyber Knight <cyberknight755@HIDDEN> writes:

> The crash happened only once and I couldn't reproduce it. 

That makes it pretty unlikely that we'll be able to debug this.  The
backtrace ended with:

Backtrace:
./src/emacs(+0x147c21)[0x55774b974c21]
./src/emacs(+0x4563c)[0x55774b87263c]
./src/emacs(+0x45b0c)[0x55774b872b0c]
./src/emacs(+0x145d0d)[0x55774b972d0d]
./src/emacs(+0x145d89)[0x55774b972d89]
/usr/lib/libjavascriptcoregtk-4.0.so.18(+0x169481f)[0x7efe50e7581f]
/usr/lib/libpthread.so.0(+0x13870)[0x7efe4f1ac870]
/usr/lib/libgobject-2.0.so.0(+0x2ea34)[0x7efe55b77a34]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0xe79)[0x7efe55b78c49]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x90)[0x7efe55b791a0]
/usr/lib/libgobject-2.0.so.0(+0x1a266)[0x7efe55b63266]
/usr/lib/libgobject-2.0.so.0(g_object_notify_by_pspec+0x152)
[0x7efe55b64612]
/usr/lib/libgtk-3.so.0(gtk_window_set_icon_list+0x89)[0x7efe564a2159]
/usr/lib/libgtk-3.so.0(gtk_window_set_icon+0x8a)[0x7efe564a22aa]

So...  perhaps the crash happened in a callback from the webkit code?
Anybody else have an idea here?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50198; Package emacs. Full text available.

Message received at 50198 <at> debbugs.gnu.org:


Received: (at 50198) by debbugs.gnu.org; 25 Aug 2021 14:12:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 10:12:26 2021
Received: from localhost ([127.0.0.1]:47240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mItdh-0002wm-Ra
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 10:12:25 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mItdf-0002wZ-Lt
 for 50198 <at> debbugs.gnu.org; Wed, 25 Aug 2021 10:12:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=NTrEXyLQ7kwDmO8Jy/M6CV+F8B6+AAuKAaRRhSbAIT0=; b=FDZPi3sO4BOOwfW+ha2Z7NBdYf
 pc53OErsLNMBmKBR715//wGf2JQ+neBMe/y/uY2JhY5uDBkTiBPlBSabFJtg5dK7izwwO8bMEnBB+
 Lz177J4CAuEmWITUpDfZ8IbZ0SST2nK9DLzjrQMEXgI8QMjRNG45S7Pg87kYkZcZMVvY=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mItdV-0005Fz-1r; Wed, 25 Aug 2021 16:12:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Cyber Knight <cyberknight755@HIDDEN>
Subject: Re: bug#50198: 27.2; 27.2; Crash in xwidget-webkit
References: <CAA7noR=+onMLtHg+Vpd8GODUP0BNW1RZmv6cZ2huuwjYOeFUWg@HIDDEN>
Date: Wed, 25 Aug 2021 16:12:12 +0200
In-Reply-To: <CAA7noR=+onMLtHg+Vpd8GODUP0BNW1RZmv6cZ2huuwjYOeFUWg@HIDDEN>
 (Cyber Knight's message of "Wed, 25 Aug 2021 21:45:41 +0800")
Message-ID: <871r6hipfn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Can you run Emacs under gdb and post the output from "bt"
 when the crash happens? -- (domestic pets only, the antidote for overdose,
 milk.) bloggy blog: http://lars.ingebrigtsen.no 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50198
Cc: 50198 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Can you run Emacs under gdb and post the output from "bt" when the crash
happens?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50198; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Aug 2021 14:05:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 10:05:53 2021
Received: from localhost ([127.0.0.1]:47228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mItXK-0002lq-2F
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 10:05:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:43120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cyberknight755@HIDDEN>) id 1mItCl-0008Iz-Rj
 for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 09:44:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58842)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cyberknight755@HIDDEN>)
 id 1mItCl-0002hc-IT
 for bug-gnu-emacs@HIDDEN; Wed, 25 Aug 2021 09:44:35 -0400
Received: from mail-io1-xd42.google.com ([2607:f8b0:4864:20::d42]:43858)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cyberknight755@HIDDEN>)
 id 1mItCh-0000xq-QP
 for bug-gnu-emacs@HIDDEN; Wed, 25 Aug 2021 09:44:35 -0400
Received: by mail-io1-xd42.google.com with SMTP id n24so30926506ion.10
 for <bug-gnu-emacs@HIDDEN>; Wed, 25 Aug 2021 06:44:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=wKJV09aoyxtcGmR96mSpC90YTbZVPqeKdSvWna14W8I=;
 b=SS2dR7I+z97dWzBZGEQgauF//91lt96raVbNP0v0dEX6mRu8cpdKvFieM+akOtZ2Ty
 kLqOJjz15GxE3YfIM+1HnEcqFBGPv35+kHupNXy4yy36mTRqyYmeFGr4LJBd38CIIlCa
 PBLj2Awnyncof96/j0Qz1hpG6iFW6OgyHV3yoRVckDatvXfrsC3PuMoofR4utyzjrzuY
 3iXpVUf39pqarbobaY/l58AEHuXQeEk0RQvy095XyRHtZy8hoisvJPZJS5b6wdNQCjQt
 ZtfL0UNjDlcKwLk9k1BZxFy0Lbde+DaXOlOx+247cbVDo4f6BoyZOqmulUT050ZrCwzf
 vsig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=wKJV09aoyxtcGmR96mSpC90YTbZVPqeKdSvWna14W8I=;
 b=CQ6F124YLxb5n/qx65Vxg2sPuKgqVLuSRKikl3hMQdrWthJ1PSpS3DQpg4DhArMUv2
 WlMj6cjOM6wUAQ1LzpsCvR2iwsCbEH/ZH+7cvRMzRBHuNKlnQ4crZCXPQSDy8f/HXYS6
 1beRxfqLCpEntNGbZAV8rLxwy6XafYRmmYPoKfTN2gzWw8aKzz7etcwenUAuKZPvaIqD
 EeLfM+DB2Ji4SbPD35VLRvZtaH0/Rw/8eY/4BN+QnY5A4bEBJSkpNLmhSaP9DItjlyip
 TmFly6Djx9M+b7MMsu6dbT7JPnOAh7TtT+UTGgUCFvWa+6ekhkGWKkbBgLEqAq15fxTh
 v/9w==
X-Gm-Message-State: AOAM530NQgFT0Stn7eoOqfE95oOB8zJVR4/yW6I0utDxlynsBBoXDZMb
 HHv9IDUuRFeLOjAmQZ5m9e1bQRrWDRg2MhDkzjJ7Xx44AcU=
X-Google-Smtp-Source: ABdhPJyykQsIwg0ATLLGsb05DvIconsZBuEER51nQNEJDiWiGS20N2FMuppRC3vTjJh6OvIvKo/oSIfow1yf9ejZi3Q=
X-Received: by 2002:a02:1083:: with SMTP id 125mr39311896jay.34.1629899069339; 
 Wed, 25 Aug 2021 06:44:29 -0700 (PDT)
MIME-Version: 1.0
From: Cyber Knight <cyberknight755@HIDDEN>
Date: Wed, 25 Aug 2021 21:45:41 +0800
Message-ID: <CAA7noR=+onMLtHg+Vpd8GODUP0BNW1RZmv6cZ2huuwjYOeFUWg@HIDDEN>
Subject: 27.2; 27.2; Crash in xwidget-webkit
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000000c3da005ca627336"
Received-SPF: pass client-ip=2607:f8b0:4864:20::d42;
 envelope-from=cyberknight755@HIDDEN; helo=mail-io1-xd42.google.com
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 25 Aug 2021 10:05:49 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--0000000000000c3da005ca627336
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

In GNU Emacs 27.2 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.30)
 of 2021-08-25 built on arch
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Arch Linux

Recent messages:
xw callback #<xwidget > [7 times]
You can run the command =E2=80=98xwidget-webkit-browse-url=E2=80=99 with g
xw callback #<xwidget > [7 times]
You can run the command =E2=80=98xwidget-webkit-browse-url=E2=80=99 with g
xw callback #<xwidget > [4 times]
End of buffer
Beginning of buffer [3 times]
End of buffer [12 times]
Quit

Making completion list... [3 times]

Configured using:
 'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib
 --localstatedir=3D/var --with-x-toolkit=3Dgtk3 --with-xft --with-wide-int
 --with-modules --with-xwidgets'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY
ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS XWIDGETS
LIBSYSTEMD JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: xwidget-webkit

Minor modes in effect:
  global-company-mode: t
  company-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  recentf-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
xwidget image-mode exif disp-table company-oddmuse company-keywords
company-etags etags fileloop generator xref project company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb company pcase page-break-lines linum whitespace org-agenda
org-refile org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete pcomplete comint ansi-color
ring org-list org-faces org-entities noutline outline easy-mmode
org-version ob-emacs-lisp ob-core ob-eval org-table org-keys
org-loaddefs find-func cal-menu calendar cal-loaddefs ol org-compat
advice org-macs format-spec bookmark pp cl-extra help-mode
display-line-numbers all-the-icons-gnus gnus nnheader gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums text-property-search time-date
mail-utils mm-util mail-prsvr dashboard dashboard-widgets all-the-icons
all-the-icons-faces data-material data-weathericons data-octicons
data-fileicons data-faicons data-alltheicons time recentf tree-widget
wid-edit font-lock+ rust-mode rx thingatpt finder-inf tron-legacy-theme
cl edmacro kmacro info package easymenu browse-url url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting xwidget-internal move-toolbar
gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 323051 12797)
 (symbols 48 24350 2)
 (strings 32 116255 3157)
 (string-bytes 1 3249240)
 (vectors 16 33608)
 (vector-slots 8 504008 18162)
 (floats 8 542 113)
 (intervals 56 352 0)
 (buffers 1000 15))

Fatal error 11: Segmentation violation
Backtrace:
./src/emacs(+0x147c21)[0x55774b974c21]
./src/emacs(+0x4563c)[0x55774b87263c]
./src/emacs(+0x45b0c)[0x55774b872b0c]
./src/emacs(+0x145d0d)[0x55774b972d0d]
./src/emacs(+0x145d89)[0x55774b972d89]
/usr/lib/libjavascriptcoregtk-4.0.so.18(+0x169481f)[0x7efe50e7581f]
/usr/lib/libpthread.so.0(+0x13870)[0x7efe4f1ac870]
/usr/lib/libgobject-2.0.so.0(+0x2ea34)[0x7efe55b77a34]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0xe79)[0x7efe55b78c49]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x90)[0x7efe55b791a0]
/usr/lib/libgobject-2.0.so.0(+0x1a266)[0x7efe55b63266]
/usr/lib/libgobject-2.0.so.0(g_object_notify_by_pspec+0x152)[0x7efe55b64612=
]
/usr/lib/libgtk-3.so.0(gtk_window_set_icon_list+0x89)[0x7efe564a2159]
/usr/lib/libgtk-3.so.0(gtk_window_set_icon+0x8a)[0x7efe564a22aa]
./src/emacs(+0x111e87)[0x55774b93ee87]
./src/emacs(+0xfe08f)[0x55774b92b08f]
./src/emacs(+0x10a024)[0x55774b937024]
./src/emacs(+0x590d1)[0x55774b8860d1]
./src/emacs(+0x15cdf3)[0x55774b989df3]
./src/emacs(+0x15d99c)[0x55774b98a99c]
./src/emacs(+0x15da58)[0x55774b98aa58]
./src/emacs(+0x1a8dd3)[0x55774b9d5dd3]
./src/emacs(+0x1e0fb8)[0x55774ba0dfb8]
./src/emacs(+0x1abc3e)[0x55774b9d8c3e]
./src/emacs(+0x1a8d17)[0x55774b9d5d17]
./src/emacs(+0x1e0fb8)[0x55774ba0dfb8]
./src/emacs(+0x1ab24f)[0x55774b9d824f]
./src/emacs(+0x1acad9)[0x55774b9d9ad9]
./src/emacs(+0x1a6b32)[0x55774b9d3b32]
./src/emacs(+0x1a8dd3)[0x55774b9d5dd3]
./src/emacs(+0x1e0fb8)[0x55774ba0dfb8]
./src/emacs(+0x1a8d17)[0x55774b9d5d17]
./src/emacs(+0x1e0fb8)[0x55774ba0dfb8]
./src/emacs(+0x1a8d17)[0x55774b9d5d17]
./src/emacs(+0x1a55e1)[0x55774b9d25e1]
./src/emacs(+0x1a8dd3)[0x55774b9d5dd3]
./src/emacs(+0x1aab08)[0x55774b9d7b08]
./src/emacs(+0x1a6cf6)[0x55774b9d3cf6]
./src/emacs(+0x1a8dd3)[0x55774b9d5dd3]
./src/emacs(+0x1e0fb8)[0x55774ba0dfb8]
./src/emacs(+0x1a8d17)[0x55774b9d5d17]
...
fish: Job 1, './src/emacs' terminated by signal SIGSEGV (Address boundary
error)

--0000000000000c3da005ca627336
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><br><br>In GNU Emacs 27.2 (build 2, x86_64-pc-linu=
x-gnu, GTK+ Version 3.24.30)<br>=C2=A0of 2021-08-25 built on arch<br>Window=
ing system distributor &#39;The X.Org Foundation&#39;, version 11.0.1201300=
0<br>System Description: Arch Linux<br><br>Recent messages:<br>xw callback =
#&lt;xwidget &gt; [7 times]<br>You can run the command =E2=80=98xwidget-web=
kit-browse-url=E2=80=99 with g<br>xw callback #&lt;xwidget &gt; [7 times]<b=
r>You can run the command =E2=80=98xwidget-webkit-browse-url=E2=80=99 with =
g<br>xw callback #&lt;xwidget &gt; [4 times]<br>End of buffer<br>Beginning =
of buffer [3 times]<br>End of buffer [12 times]<br>Quit<br><br>Making compl=
etion list... [3 times]<br><br>Configured using:<br>=C2=A0&#39;configure --=
prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib<br>=C2=A0--locals=
tatedir=3D/var --with-x-toolkit=3Dgtk3 --with-xft --with-wide-int<br>=C2=A0=
--with-modules --with-xwidgets&#39;<br><br>Configured features:<br>XPM JPEG=
 TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY<br>ACL GNUT=
LS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB<br>TOOLKIT_SCROLL_BAR=
S GTK3 X11 XDBE XIM MODULES THREADS XWIDGETS<br>LIBSYSTEMD JSON PDUMPER LCM=
S2 GMP<br><br>Important settings:<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=
=C2=A0 locale-coding-system: utf-8-unix<br><br>Major mode: xwidget-webkit<b=
r><br>Minor modes in effect:<br>=C2=A0 global-company-mode: t<br>=C2=A0 com=
pany-mode: t<br>=C2=A0 global-display-line-numbers-mode: t<br>=C2=A0 displa=
y-line-numbers-mode: t<br>=C2=A0 recentf-mode: t<br>=C2=A0 tooltip-mode: t<=
br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 =
mouse-wheel-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-fon=
t-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<b=
r>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=
=A0 auto-compression-mode: t<br>=C2=A0 buffer-read-only: t<br>=C2=A0 line-n=
umber-mode: t<br>=C2=A0 transient-mark-mode: t<br><br>Load-path shadows:<br=
>None found.<br><br>Features:<br>(shadow sort mail-extr emacsbug message rm=
c puny dired dired-loaddefs<br>rfc822 mml mml-sec epa derived epg epg-confi=
g mm-decode mm-bodies<br>mm-encode mail-parse rfc2231 mailabbrev gmm-utils =
mailheader sendmail<br>xwidget image-mode exif disp-table company-oddmuse c=
ompany-keywords<br>company-etags etags fileloop generator xref project comp=
any-gtags<br>company-dabbrev-code company-dabbrev company-files company-cla=
ng<br>company-capf company-cmake company-semantic company-template<br>compa=
ny-bbdb company pcase page-break-lines linum whitespace org-agenda<br>org-r=
efile org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro<br>org-footn=
ote org-src ob-comint org-pcomplete pcomplete comint ansi-color<br>ring org=
-list org-faces org-entities noutline outline easy-mmode<br>org-version ob-=
emacs-lisp ob-core ob-eval org-table org-keys<br>org-loaddefs find-func cal=
-menu calendar cal-loaddefs ol org-compat<br>advice org-macs format-spec bo=
okmark pp cl-extra help-mode<br>display-line-numbers all-the-icons-gnus gnu=
s nnheader gnus-util rmail<br>rmail-loaddefs rfc2047 rfc2045 ietf-drums tex=
t-property-search time-date<br>mail-utils mm-util mail-prsvr dashboard dash=
board-widgets all-the-icons<br>all-the-icons-faces data-material data-weath=
ericons data-octicons<br>data-fileicons data-faicons data-alltheicons time =
recentf tree-widget<br>wid-edit font-lock+ rust-mode rx thingatpt finder-in=
f tron-legacy-theme<br>cl edmacro kmacro info package easymenu browse-url u=
rl-handlers<br>url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-=
loaddefs<br>password-cache json subr-x map url-vars seq byte-opt gv bytecom=
p<br>byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify<=
br>ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win<br>term/comm=
on-win x-dnd tool-bar dnd fontset image regexp-opt fringe<br>tabulated-list=
 replace newcomment text-mode elisp-mode lisp-mode<br>prog-mode register pa=
ge tab-bar menu-bar rfn-eshadow isearch timer<br>select scroll-bar mouse ji=
t-lock font-lock syntax facemenu font-core<br>term/tty-colors frame minibuf=
fer cl-generic cham georgian utf-8-lang<br>misc-lang vietnamese tibetan tha=
i tai-viet lao korean japanese eucjp-ms<br>cp51932 hebrew greek romanian sl=
ovak czech european ethiopic indian<br>cyrillic chinese composite charscrip=
t charprop case-table epa-hook<br>jka-cmpr-hook help simple abbrev obarray =
cl-preloaded nadvice loaddefs<br>button faces cus-face macroexp files text-=
properties overlay sha1 md5<br>base64 format env code-pages mule custom wid=
get hashtable-print-readable<br>backquote threads dbusbind inotify lcms2 dy=
namic-setting<br>system-font-setting font-render-setting xwidget-internal m=
ove-toolbar<br>gtk x-toolkit x multi-tty make-network-process emacs)<br><br=
>Memory information:<br>((conses 16 323051 12797)<br>=C2=A0(symbols 48 2435=
0 2)<br>=C2=A0(strings 32 116255 3157)<br>=C2=A0(string-bytes 1 3249240)<br=
>=C2=A0(vectors 16 33608)<br>=C2=A0(vector-slots 8 504008 18162)<br>=C2=A0(=
floats 8 542 113)<br>=C2=A0(intervals 56 352 0)<br>=C2=A0(buffers 1000 15))=
<br><br>Fatal error 11: Segmentation violation<br>Backtrace:<br>./src/emacs=
(+0x147c21)[0x55774b974c21]<br>./src/emacs(+0x4563c)[0x55774b87263c]<br>./s=
rc/emacs(+0x45b0c)[0x55774b872b0c]<br>./src/emacs(+0x145d0d)[0x55774b972d0d=
]<br>./src/emacs(+0x145d89)[0x55774b972d89]<br>/usr/lib/libjavascriptcoregt=
k-4.0.so.18(+0x169481f)[0x7efe50e7581f]<br>/usr/lib/libpthread.so.0(+0x1387=
0)[0x7efe4f1ac870]<br>/usr/lib/libgobject-2.0.so.0(+0x2ea34)[0x7efe55b77a34=
]<br>/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0xe79)[0x7efe55b78c4=
9]<br>/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x90)[0x7efe55b791a0]<br>/=
usr/lib/libgobject-2.0.so.0(+0x1a266)[0x7efe55b63266]<br>/usr/lib/libgobjec=
t-2.0.so.0(g_object_notify_by_pspec+0x152)[0x7efe55b64612]<br>/usr/lib/libg=
tk-3.so.0(gtk_window_set_icon_list+0x89)[0x7efe564a2159]<br>/usr/lib/libgtk=
-3.so.0(gtk_window_set_icon+0x8a)[0x7efe564a22aa]<br>./src/emacs(+0x111e87)=
[0x55774b93ee87]<br>./src/emacs(+0xfe08f)[0x55774b92b08f]<br>./src/emacs(+0=
x10a024)[0x55774b937024]<br>./src/emacs(+0x590d1)[0x55774b8860d1]<br>./src/=
emacs(+0x15cdf3)[0x55774b989df3]<br>./src/emacs(+0x15d99c)[0x55774b98a99c]<=
br>./src/emacs(+0x15da58)[0x55774b98aa58]<br>./src/emacs(+0x1a8dd3)[0x55774=
b9d5dd3]<br>./src/emacs(+0x1e0fb8)[0x55774ba0dfb8]<br>./src/emacs(+0x1abc3e=
)[0x55774b9d8c3e]<br>./src/emacs(+0x1a8d17)[0x55774b9d5d17]<br>./src/emacs(=
+0x1e0fb8)[0x55774ba0dfb8]<br>./src/emacs(+0x1ab24f)[0x55774b9d824f]<br>./s=
rc/emacs(+0x1acad9)[0x55774b9d9ad9]<br>./src/emacs(+0x1a6b32)[0x55774b9d3b3=
2]<br>./src/emacs(+0x1a8dd3)[0x55774b9d5dd3]<br>./src/emacs(+0x1e0fb8)[0x55=
774ba0dfb8]<br>./src/emacs(+0x1a8d17)[0x55774b9d5d17]<br>./src/emacs(+0x1e0=
fb8)[0x55774ba0dfb8]<br>./src/emacs(+0x1a8d17)[0x55774b9d5d17]<br>./src/ema=
cs(+0x1a55e1)[0x55774b9d25e1]<br>./src/emacs(+0x1a8dd3)[0x55774b9d5dd3]<br>=
./src/emacs(+0x1aab08)[0x55774b9d7b08]<br>./src/emacs(+0x1a6cf6)[0x55774b9d=
3cf6]<br>./src/emacs(+0x1a8dd3)[0x55774b9d5dd3]<br>./src/emacs(+0x1e0fb8)[0=
x55774ba0dfb8]<br>./src/emacs(+0x1a8d17)[0x55774b9d5d17]<br>...<br>fish: Jo=
b 1, &#39;./src/emacs&#39; terminated by signal SIGSEGV (Address boundary e=
rror)<br></div>

--0000000000000c3da005ca627336--




Acknowledgement sent to Cyber Knight <cyberknight755@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50198; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 Sep 2021 07:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.